#pragma once

#include "GameWindow.h"
#include "GameImage.h"
#include "GameFont.h"
#include "GameStateManager.h"
#include "GameTimer.h"
#include "GameObject.h"

#include "resource.h"

enum ResourceCode
{
	RC_Bullet = IDB_BULLET,
	RC_Daram = IDB_DARAM,
	RC_Logo = IDB_LOGO,
	RC_Target = IDB_TARGET,
};

inline LPCWSTR GetResource(ResourceCode code)
{
	return MAKEINTRESOURCE(code);
}